X2Go Bug report logs - #1259
Debian package from heuler repository fails to install

version graph

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Martin <martin2@quantentunnel.de>

Date: Mon, 19 Feb 2018 16:40:02 UTC

Severity: normal

Tags: pending

Found in version 0.5.99.0-0x2go1~git20180112.1367+9999.heuler.1

Fixed in version 0.5.99.0

Done: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1259; Package python-x2go. (Mon, 19 Feb 2018 16:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Martin <martin2@quantentunnel.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Feb 2018 16:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Martin <martin2@quantentunnel.de>
To: submit@bugs.x2go.org
Subject: Debian package from heuler repository fails to install
Date: Mon, 19 Feb 2018 17:34:05 +0100
[Message part 1 (text/plain, inline)]
Package: python-x2go
Version: 0.5.99.0-0x2go1~git20180112.1367+9999.heuler.1

"apt-get install python-x2go" fails with

Setting up python-x2go (0.5.99.0-0x2go1~git20180112.1367+9999.heuler.1) ...
  File "/usr/lib/python2.7/dist-packages/x2go/tests/test_printing.py", line 46
    print(_printing, file=tf)
                         ^
SyntaxError: invalid syntax

dpkg: error processing package python-x2go (--configure):
 installed python-x2go package post-installation script subprocess returned error exit status 101
Errors were encountered while processing:
 python-x2go
E: Sub-process /usr/bin/dpkg returned an error code (1)

The bug was introduced by commit 327fa5e5f09d7fabb4d0052de1b2876c852797e1 (Port to Python3).
The attached patch restores compatibility with Python 2.6+.

Regards
Martin
[restore_compatibility_with_Python_2.6+.diff (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1259; Package python-x2go. (Tue, 06 Mar 2018 19:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 Mar 2018 19:35:02 GMT) (full text, mbox, link).


Message #10 received at 1259@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1259-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1259@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Tue, 6 Mar 2018 20:34:47 +0100 (CET)
tag #1259 pending
fixed #1259 0.5.99.0
thanks

Hello,

X2Go issue #1259 (src:python-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=7646426

The issue will most likely be fixed in src:python-x2go (0.5.99.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 76464265760fa170656e12cddf79419b8759aff1
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Mar 6 20:33:17 2018 +0100

    Drop unit test framework. Never really used (though we should have). (Fixes: #1259).

diff --git a/debian/changelog b/debian/changelog
index 179e4c3..3719199 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,8 @@ python-x2go (0.5.99.0-0x2go1) UNRELEASED; urgency=medium
   * New upstream version (0.5.99.0):
     - Support Python2 and Python3 alike.
     - Build API doc with Sphinx.
+    - Drop unit test framework. Never really used (though we should have).
+      (Fixes: #1259).
   * debian/: Adapt to building API docs with Sphinx.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Sep 2017 14:15:05 +0200


Message sent on to Martin <martin2@quantentunnel.de>:
Bug#1259. (Tue, 06 Mar 2018 19:35:03 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 Mar 2018 19:40:02 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 Mar 2018 19:40:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 06 Sep 2018 18:20:06 GMT) (full text, mbox, link).


Notification sent to Martin <martin2@quantentunnel.de>:
Bug acknowledged by developer. (Thu, 06 Sep 2018 18:20:06 GMT) (full text, mbox, link).


Message sent on to Martin <martin2@quantentunnel.de>:
Bug#1259. (Thu, 06 Sep 2018 18:20:06 GMT) (full text, mbox, link).


Message #24 received at 1259-submitter@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1259-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1259@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as closed
Date: Thu, 6 Sep 2018 20:19:30 +0200 (CEST)
close #1259
thanks

Hello,

we are very hopeful that X2Go issue #1259 reported by you
has been resolved in the new release (0.6.0.0) of the
X2Go source project »src:python-x2go«.

You can view the complete changelog entry of src:python-x2go (0.6.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:python-x2go.

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=29f90ec63df991c0fa91dd312dd446bc89d45cd9;hp=fa04b4f34c6741d962c6bf4d5ce0b9f90aec4545

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:python-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:python-x2go
Version: 0.6.0.0-0x2go1
Status: PREVIEW
Date: Thu, 06 Sep 2018 18:35:12 +0200
Fixes: 1259 1275
Changes:
 python-x2go (0.6.0.0-0x2go1) PREVIEW; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.6.0.0):
     - Support Python2 and Python3 alike.
     - Test intensively against Debian stable and unstable.
       (Fixes: #1275).
     - Build API doc with Sphinx.
     - Drop unit test framework. Never really used (though we should have).
       (Fixes: #1259).
     - x2go/checkhosts.py: Python3 fix in get_key_fingerprint().
     - Natively support xinerama option.
     - x2go/backends/terminal/plain.py: x2gosession-resume handles
       xinerama support differently from x2gostartagent. Adding it
       as cmdline parameter No. 9.
     - x2go/utils.py: Python3 fix in get_workarea_geometry().
     - Finalize Epydoc-to-Sphinx conversion of doc strings.
     - x2go/session.py: Update list of features.
     - x2go/__init__.py: Reference backends correctly.
     - Drop WINREG backends, never existed really, never will be, probably.
     - x2go/__init__.py: Avoid ares resolver for now, as it currently is
       broken in Debian testing.
     - Makefile.docupload: Add apidoc target.
     - docs/source/: Update API doc tree, winreg modules removed.
   * debian/:
     + Adapt to building Python3 and Python2 variants of Python X2Go.
     + Adapt to building API docs with Sphinx.
 .
   [ Mihai Moldovan ]
   * New upstream version (0.6.0.0):
     - docs/source/conf.py: set minimum sphinx version to 1.0. Needed for
       the sphinx.ext.viewcode extension.
     - docs/source/conf.py: drop minimum sphinx version requirement again,
       detect version manually and adapt config based on this information.
     - docs/source/conf.py: fix parse error due to wrong else usage.
     - docs/source/conf.py: import sphinx module. Hopefully that actually works
       out.
   * python-x2go.spec:
     - Also add fdupes package as a build dependency for RHEL-based distros.
     - Correctly pythonize package, for Fedora, RHEL/EPEL and OpenSuSE. It's
       more verbose than needs to be, but OpenSuSE Leap 42.2 - which is still
       supported currently - does not have python-rpm-macros and we generally
       want to disable the Python 3 package for now. For EPEL/RHEL versions
       lower than 8, we strip Python 3 stuff out completely and rename the
       package to python-x2go.
     - Fix package names in %package (and its %description) and %files sections.
     - Add dependency on the python-configparser backport. Makes at least part
       working with both Python 2 and 3.
     - Actually disable python3 builds on OpenSuSE.
     - OpenSuSE Leap 15 and TumbleWeed renamed python-xlib to
       python{2,3}-python-xlib.
     - Local %defines are buggy in older RPM implementations, work around by
       using %global instead.
     - Merge python(2)-x2go section in main section, since we cannot redefine
       subpackages.
     - Older OpenSuSE Leap versions don't support %{python2_sitelib} - use
       %{python_sitelib} instead.
     - Document %(python_module} definitions.
     - Override python_module macro for OpenSuSE Leap 42.3, the shipped version
       does not what later versions do correctly.
     - %{sle_version} is not defined on TW, so use a %{suse_version} check
       additionally to catch this variant.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1259; Package python-x2go. (Thu, 06 Sep 2018 18:25:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 06 Sep 2018 18:25:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 05 Oct 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 24 22:26:12 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.